routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return view('Welcome');
});


Route::get('/home', 'HomeController@index')->name('home');
//Admin Panel login 
Route::group(['middleware' => ['auth','admin']],function(){
    Route::get('/admin', function () {
        return view('Layout.dashboard');
    });
    
    //Employees Route and View
         Route::get('/create',function(){
            return view('Employees.create');
        });
        Route::get('/employees',function(){
        return view('Employees.employees');
        });
        
        Route::get('/addplot',function(){
            return view ('Plots.create');
         });
         Route::get('/plot',function(){
            return view ('Plots.index');
         });
         Route::get('/search','EmployeesController@search');
});
//Employee Resource Controller
Route::resource('employees','EmployeesController');
Route::resource('plot','PlotController');

Auth::routes(['verify' => true]);

app/Plot.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Plot extends Model
{
    protected $fillable=[
         'plotno','plotsize','plotunit','type','streetno','sector','price',
    ];
}

app/Http/Controllers/Plot.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class Plot extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/PlotController.php
<?php

namespace App\Http\Controllers;

use App\Plot;
use Illuminate\Http\Request;
use Redirect;
class PlotController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $plot = Plot::all();
        return view('Plots.index',['plot' => $plot]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $plot=new Plot();
        $request->validate([
        'plotno' => 'required',
        'plotsize' => 'required',
        'plotunit' => 'required',
        'type' => 'required',
        'streetno' => 'required',
        'sector' => 'required',
        'price' => 'required',
    ]);
    
    $plot->plotno =$request->input('plotno');
    $plot->plotsize =$request->input('plotsize');
    $plot->plotunit =$request->input('plotunit');
    $plot->type =$request->input('type');
    $plot->streetno =$request->input('streetno');
    $plot->sector =$request->input('sector');
    $plot->price =$request->input('price');
    $plot->save();
    return redirect('/plot')->with('success','Successfully Added',$plot);

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Plot  $plot
     * @return \Illuminate\Http\Response
     */
    public function show(Plot $plot)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Plot  $plot
     * @return \Illuminate\Http\Response
     */
    public function edit(Plot $plot)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Plot  $plot
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Plot $plot)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Plot  $plot
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Plot::where('id',$id)->delete();
        return Redirect::to('plot')->with('danger','Plot deleted successfully');
    }
}

resources/views/Plots/create.blade.php
@extends('master')
@section('main-content')
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Add Plot</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item">Add Plot</li>
            </ol>
          </div>
        </div>
      </div>
    </div>
  
<section class="content">

<div class="form-group ">
<form action="{{route('plot.store')}}" method="POST"  enctype="multipart/form-data">
{{csrf_field()}}
<div class="row">
<div class="col-md-10">
  <label class="control-label">
   Plot Number
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="plotno" name="plotno" type="text" placeholder="Plot Number"/>
   <span class="text-danger">{{ $errors->first('plotno') }}</span>
  </div>
</div>
 </div>
 <br> 
 <div class="row">
 <div class="col-md-5">
  <label class="control-label">
   Plot Size<b>(Dimensions)</b>
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="plotsize" name="plotsize" type="text" placeholder="3*4"/>
   <span class="text-danger">{{ $errors->first('plotsize') }}</span>
  </div>
  </div>
  <div class="col-md-5">
  <label class="control-label">
   Plot Size(Unit)
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="plotunit" name="plotunit" type="text" placeholder=" Marla"/>
   <span class="text-danger">{{ $errors->first('plotunit') }}</span>
  </div>
  </div>
  </div>
  <div class="row">
  <div class="col-md-10">
  <br>
  <div class="form-group">
    <label for="exampleFormControlSelect1">Type</label>
    <select class="form-control" id="exampleFormControlSelect1" name="type">
    <span class="text-danger">{{ $errors->first('type')}}</span>
      <option value="commercial">Commerical</option>
      <option value="residential">Residential</option>
      <option value="govermental">Govermental</option>
      <option value="society">Society</option>
    </select>
  </div>
  </div>
  </div>
  <div class="row">
 <div class="col-md-5">
  <label class="control-label">
   Street Number
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="streetno" name="streetno" type="text" placeholder="Stree #"/>
   <span class="text-danger">{{ $errors->first('streetno') }}</span>
  </div>
  </div>
  <div class="col-md-5">
  <label class="control-label">
   Sector
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="sector" name="sector" type="text" placeholder="Sector"/>
   <span class="text-danger">{{ $errors->first('sector') }}</span>
  </div>
  </div>
  </div>
  <br>
  <div class="row">
<div class="col-md-10">
  <label class="control-label">
   Price
  </label>
  <br>
  <div class="input-group">
   <input class="form-control" id="price" name="price" type="text" placeholder="Enter Price"/>
   <span class="text-danger">{{ $errors->first('price') }}</span>
  </div>
</div>
 </div>
    <div class="col-md-5">
    <br>
      <button type="submit" class="btn btn-success">Add Plot</button>
    </div>
  </div>
  </form>
 </div>
 </section>
@endsection

resources/views/Plots/index.blade.php
@extends('master')
@section('main-content')

<div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Manage Plots Data</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item">Manage Plots Data</li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
    <div class="col-lg-12">
@if(session()->get('success'))
 <div class="alert alert-success">
 {{session()->get('success')}}
 @endif
 @if(session()->get('danger'))
 <div class="alert alert-danger">
 {{session()->get('danger')}}
 @endif
    </div>
</div>
<section class="content">
<div class="container-fluid">
<div class="row">
    <table class="table table-bordered">
  <thead class="thead-dark">
    <tr>
      <th scope="col">ID</th>
      <th scope="col">Plot No</th>
      <th scope="col">Plot Size</th>
      <th scope="col">Plot Unit</th>
      <th scope="col">Plot Type</th>
      <th scope="col">Street</th>
      <th scope="col">Sector</th>
      <th scope="col">Price</th>
      <th colspan="2">Action</th>
    </tr>
  </thead>
  <tbody>

  @foreach($plot as $key => $plott)
              <tr>
                 <td>{{ $key+1 }}</td>
                 <td>{{ $plott->plotno }}</td>
                 <td>{{ $plott->plotsize }}</td>
                 <td>{{ $plott->plotunit }}</td>
                 <td>{{ $plott->type }}</td>
                 <td>{{ $plott->streetno }}</td>
                 <td>{{ $plott->sector }}</td>
                 <td>{{ $plott->price }}</td>
                 <td><a href="{{ route('plot.edit',$plott->id)}}" class="btn btn-success">Edit</a></td>
                 <td>
                 <form action="{{ route('plot.destroy', $plott->id)}}" method="post">
                 {{ csrf_field() }}
                  @method('DELETE')
                  <button class="btn btn-danger" type="submit">Delete</button>
                </form>
                </td>
              </tr>
              @endforeach
    </tbody>
    </table>
   </div>
   </div>
   </section>
 @endsection
  